<?php

/*
 * This file is part of the Kreta package.
 *
 * (c) Beñat Espiña <benatespina@gmail.com>
 * (c) Gorka Laucirica <gorka.lauzirika@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace spec\Kreta\Component\Project\Factory;

use Kreta\Component\Project\Model\Interfaces\ProjectInterface;
use PhpSpec\ObjectBehavior;

/**
 * Class LabelFactorySpec.
 *
 * @package spec\Kreta\Component\Project\Factory
 */
class LabelFactorySpec extends ObjectBehavior
{
    function let()
    {
        $this->beConstructedWith('Kreta\Component\Project\Model\Label');
    }

    function it_is_initializable()
    {
        $this->shouldHaveType('Kreta\Component\Project\Factory\LabelFactory');
    }

    function it_creates_a_label(ProjectInterface $project)
    {
        $this->create($project, 'Label name')->shouldReturnAnInstanceOf('Kreta\Component\Project\Model\Label');
    }
}
